Bug 253271 - sysutils/bsdisks: filesystems mounted by label or id are shown as unmounted
Summary: sysutils/bsdisks: filesystems mounted by label or id are shown as unmounted
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-05 14:19 UTC by vvv
Modified: 2021-03-17 18:45 UTC (History)
2 users (show)

See Also:
arrowd: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vvv 2021-02-05 14:19:48 UTC
Hello,
All filesystems mounted by GPT label (/dev/gpt/...), GPT uuid (/dev/gptid/...), UFS label (/dev/ufs/...) or UFS ID (/dev/ufsid/...) are shown as unmounted. Workaround: remount filesystems by partition device name (/dev/ada0p2 etc).
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-08 14:45:06 UTC
Thanks for reporting this.
Comment 2 Gleb Popov freebsd_committer 2021-02-08 14:54:56 UTC
(In reply to vvv from comment #0)

Are you mounting these filesystems manually?
Comment 3 vvv 2021-02-08 15:11:11 UTC
Both manually and automatically from fstab.
Comment 4 Gleb Popov freebsd_committer 2021-02-22 08:59:38 UTC
Strange, I remember leaving a comment there.

Anyways, I've fixed this issue in the development repo [1]. Testing is welcome, although the code isn't stable ATM.

The fix for this issue will be in the next bsdisks release.

[1]: https://foss.heptapod.net/bsdutils/bsdisks
Comment 5 commit-hook freebsd_committer 2021-03-17 18:45:43 UTC
A commit references this bug:

Author: arrowd
Date: Wed Mar 17 18:45:08 UTC 2021
New revision: 568682
URL: https://svnweb.freebsd.org/changeset/ports/568682

Log:
  sysutils/bsdisks: Update to 0.25

  PR:		253271

Changes:
  head/sysutils/bsdisks/Makefile
  head/sysutils/bsdisks/distinfo